Docs
Add Template Entity
POST /organizations/{organizationId}/templates/{templateId}/entities
POST
/organizations/{organizationId}/templates/{templateId}/entitiesAdds an entity to a template: a typed building block, such as a collaborator or area, that is created in each event made from the template, with its list of properties. Use Templates_GetEntitySchemas for the available entity types and the properties each one takes.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| organizationId | uuid | Required | |
| templateId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| type | string | Optional | |
| properties | AddTemplateEntityRequestEntityProperty[] | Optional |
AddTemplateEntityRequestEntityProperty
| Field | Type | Description |
|---|---|---|
| name | string| null | |
| type | string| null | |
| value | string| null | |
| refType | string| null | |
| days | integer | |
| hours | integer | |
| addSubNum | integer |